﻿using System.Runtime.InteropServices;

namespace SKBKontur.KZ.User.CompareSumms.AllSummCompare
{
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDispatch)]
    [Guid("11022D49-5DD4-40EE-8B48-E350FA054D30")]
    public class SummInfo
    {
        public int DepartmentCode { get; set; }
        public int FLCode { get; set; }
        public int DolgCode { get; set; }
        public int CombineId { get; set; }
        public int Tn { get; set; }
        public string Fio { get; set; }
        public string Snils { get; set; }
        public int IstCode { get; set; }
        public int ObjCode { get; set; }
        public double Summ { get; set; }
        public double Frv { get; set; }
        public double Nrv { get; set; }
        public double Bz { get; set; }
        public int MPrin { get; set; }
        public int MNach { get; set; }
        public int NuCode { get; set; }
        public int NuCodeForCompare  
        {
            get
            {
                switch (NuCode)
                {
                    case 194:
                    case 195:
                        return 196;
                    case 411:
                        return 241;
                    case 454:
                        return 254;
                    case 408:
                        return 238;
                    case 409:
                        return 239;
                    case 405:
                        return 205;
                    default:
                        return NuCode;
                }
            }
        }

        public string NuName { get; set; }
        // public string Key => $"{FLCode}_{DolgCode}_{IstCode}_{ObjCode}_{NuCodeForCompare}";
        public string Key => $"{FLCode}_{CombineId}_{NuCodeForCompare}";
    }
}
