﻿using System.Data;
using System.Data.OleDb;

namespace SKBKontur.KZ.User.Helpers
{
    class DbfHelper
    {
        public static DataTable GetDbfData(string dir, string fileName)
        {
            var resultSet = new DataTable();
            var connectionString =$"Provider = Microsoft.Jet.OLEDB.4.0; Data Source = {dir};Extended Properties = dBASE IV";
            var connectionHandler = new OleDbConnection(connectionString);
            connectionHandler.Open();

            if (connectionHandler.State == ConnectionState.Open)
            {
                var mySql = $"select * from {fileName}";  // dbf table name
                var myQuery = new OleDbCommand(mySql, connectionHandler);
                var da = new OleDbDataAdapter(myQuery);
                da.Fill(resultSet);
                connectionHandler.Close();
            }
            return resultSet;
        }
    }
}
