﻿using System.Linq;
using SKBKontur.KZ.Core;
using SKBKontur.KZ.COM.Bank.Common.Helpers;
using SKBKontur.KZ.Common;

namespace SKBKontur.KZ.User.Helpers
{
    public static class StringHelper
    {
        public static int MyToInt(this string value)
        {
           return value.GetDigits().Atoi();
        }
        public static KchNum GetKchNum(this string pseudo, IOptions options)
        {
            return options.KchNumFromPseudo(pseudo);
        }

        public static bool IsDigitsOnly(this string value)
        {
           return value.ToCharArray().All(c => char.IsDigit(c));
        }
    }
}
