﻿using System.Runtime.InteropServices;

namespace SKBKontur.KZ.User.LsData
{
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDispatch)]
    [Guid("E488AA3F-D71A-409A-940A-C60B15DDEAE0")]
    public class KchInfo
    {
        public string FLCode { get; set; }
        public string Fio { get; set; }
        public string Inn { get; set; }
        public string Snils { get; set; }
        public string DataRogd { get; set; }
        public string MestoRogd { get; set; }
        public string Pol { get; set; }
        public string AdresReg { get; set; }
        public string AdresFact { get; set; }
        public string PhoneMobile { get; set; }
        public string PhoneHome { get; set; }
        public string PhoneWork { get; set; }
        public int DocCode { get; set; }
        public string DocName { get; set; }
        public string DocSeria { get; set; }
        public string DocNumber { get; set; }
        public string DocDate { get; set; }
        public string DocKem { get; set; }
        public string DocPodrCode { get; set; }
        public string StagBl { get; set; }

        public string Pasport { get; set; }
        public string BankName { get; set; }
        public string BankCardNumber { get; set; }

        public string CityR
        {
            get
            {
                var words = MestoRogd.Split(',');
                return words.Length > 1 ? words[1] : "";
            }
        }

        public string RajonR
        {
            get
            {
                var words = MestoRogd.Split(',');
                return words.Length > 2 ? words[2] : "";
            }
        }

        public string OblastR
        {
            get
            {
                var words = MestoRogd.Split(',');
                return words.Length > 3 ? words[3] : "";
            }
        }

        public string StranaR
        {
            get
            {
                var words = MestoRogd.Split(',');
                return words.Length > 4 ? words[4] : "";
            }
        }

        
    }
}