﻿using SKBKontur.KZ.User.LsData;

namespace SKBKontur.KZ.User.CompareSumms.PlanNuCompare
{
    public static class PlanSummInfoExtension 
    {
        public static string Key(this PlanSummInfo summInfo)
        {
            return $"{summInfo.FLCode}_{summInfo.DolgCode}_{summInfo.NuForCompare()}";
        }
        public static int NuForCompare(this PlanSummInfo summInfo)
        {
            return summInfo.IsOklad() ? 196 : summInfo.NuCode;
        }

        public static bool IsOklad(this PlanSummInfo summInfo)
        {
            return summInfo.NuCode == 194 || summInfo.NuCode == 195 || summInfo.NuCode == 196;
        }
    }
}
