﻿using System;
using System.Runtime.InteropServices;

namespace SKBKontur.KZ.User.LsData
{
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDispatch)]
    [Guid("04536A6B-26EF-493E-B73A-A2A402A97903")]
    public class LsInfo
    {
        public int Tn { get; set; }
        public int PodrCode { get; set; }
        public string FLCode { get; set; }
        public string DolgCode { get; set; }
        public string DolgGuid { get; set; }
        public string F { get; set; }
        public string I { get; set; }
        public string O { get; set; }
        public string Snils { get; set; }
        public string VidDolgn { get; set; }
        public string DPriem { get; set; }
        public string DUvoln { get; set; }
        public string DolgName { get; set; }
        public double Stavka { get; set; }
        public int GraffikCode { get; set; }
        public string GraffikName { get; set; }

        public bool IsMain =>
            string.Compare(VidDolgn, "Основное место работы", StringComparison.InvariantCultureIgnoreCase) == 0;

        public bool IsSovm =>
            string.Compare(VidDolgn, "Внутреннее совместительство", StringComparison.InvariantCultureIgnoreCase) == 0;
    }
}