﻿using System.Runtime.InteropServices;

namespace SKBKontur.KZ.User.LsData
{
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDispatch)]
    [Guid("6F81B535-C157-44B4-9894-6AC9C0D4A7BA")]
    public class SummInfo
    {
        public int FLCode { get; set; }
        public int DolgCode { get; set; }
        public string DolgGuid { get; set; }
        public string Fio { get; set; }
        public string Snils { get; set; }
        public int IstCode { get; set; }
        public int LsMainSrc { get; set; }
        public int ObjCode { get; set; }
        public int DolgnMainSrcCode { get; set; }
        public int DolgnMainObjCode { get; set; }
        public double Summ { get; set; }
        public int MPrin { get; set; }
        public int MNach { get; set; }
        public int NuCode { get; set; }
        public string NuName { get; set; }

        public static implicit operator CompareSumms.AllSummCompare.SummInfo(SummInfo value)
        {
            return new CompareSumms.AllSummCompare.SummInfo()
                {
                    DolgCode = value.DolgCode,
                    Fio = value.Fio,
                    FLCode = value.FLCode,
                    IstCode = value.IstCode,
                    MNach = value.MNach,
                    MPrin = value.MPrin,
                    NuCode = value.NuCode,
                    NuName = value.NuName,
                    ObjCode = value.DolgnMainObjCode,
                    Snils = value.Snils,
                    Summ = value.Summ
                };
        }
    }
}