﻿using System.Globalization;
using System.Runtime.InteropServices;
using SKBKontur.KZ.Common;
using SKBKontur.KZ.Core;

namespace SKBKontur.KZ.User.LsData
{
    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDispatch)]
    [Guid("21589E44-64C3-45CB-AA84-328D61C5E58A")]
    public class SummSrednInfo
    {
        public string FLCode { get; set; }
        public string DolgCode { get; set; }
        public string Fio { get; set; }
        public string Snils { get; set; }
        public int IstCode { get; set; }
        public int ObjCode { get; set; }
        public int MPrin { get; set; }
        public int NuCode { get; set; }
        public string NuName { get; set; }
        public double Summ { get; set; }
        public double Days { get; set; }
        public double DaysForCalc => IsItemOtpusk ? (29.3*Days/MPrin.AbsMonthToDate().CountDays()).Round(2) : Days;
        public bool IsItemOtpusk =>string.Compare(NuName,"Для расчета отпуска",CultureInfo.InvariantCulture,CompareOptions.IgnoreCase)==0;
        public bool IsItemBl => string.Compare(NuName, "Для расчета БЛ", CultureInfo.InvariantCulture, CompareOptions.IgnoreCase) == 0;
    }
}