var logService;//ꥪ,  १ "ਯ⮢ "   ..    ᪫뢠 ଠ  sql
Logger_GetFlags()
/*
  UserLogIn = 0x01,
  UserLogoff = 0x02,
  ReadLs = 0x04,
  WriteLs = 0x08,
  TabelSimsChanged = 0x10,
  TabelHoursChanged = 0x20,
  KchChanged = 0x40,
  SummChanged = 0x80,
  RvChanged = 0x100, 
  NuChanged = 0x200
*/
{
  int result=0x01|0x02|0x10|0x20|0x40|0x80|0x100|0x200|0x1000;
  return result;
}

InitLogger()
{
  try
  {
    //GlobalBlockMonitorChangeTabel=0; 
    if(Logger_GetFlags() & 0x40)
      GlobalBlockMonitorChangeKch=0;
    if(Logger_GetFlags() & 0x80)
      GlobalBlockMonitorChangeSum=0;
    logService=NetDialogs().GetLogger(Logger_GetFlags(),1);
    logService.OnUserLogIn();
  }
  catch(interface IErrorInfo err)
  {
    string s;
    err.GetDescription(s); //  s 㤥 ᠭ 訡,
    string sText = " 㤠 ᮧ ꥪ LogService:\n\n" + s;
    string ss;
    err.GetSource(ss);//   訡  
    MsgBox(OemToAnsi(sText),OemToAnsi(ss),MB_ICONERROR);
  }
  catch(...)
  //ࠡ⪠ ᪫祭
  {
    SayUndefinedScriptError();
  }
}
UserOnApplicationShutdown()
{
  if( LoggerOn )
    logService.OnUserLogoff();
}
AfterReadLS(Tn)  //᫥ ⮣  ⠫  - 頥 "⥩"
{
  if( LoggerOn )
    logService.OnReadLs(Tn);
}
/*
ࠡ⠥ ਢ, ..  ଠ⨢ ᨬ ࠭  ப,   ଠ⨢ ᮢ ࠭ 0->
  ᮢ     ᮡ⨥ " "   ,   ଠ⨢ .
TabelMonitor(Tn,Combine,absm,&NewCalm,&OldCalm)
{
  var params[6];
  params[0]="TabelSimsChanged";
  params[1]=Tn;
  params[2]=Combine;
  params[3]=absm;
  params[4]=ToNetString(NewCalm);
  params[5]=ToNetString(OldCalm);
  logService.OnLsChanged(params);
  return 0;
}
ChtTabelMonitor(Tn,Combine,absm,&NewCalmCht,&OldCalmCht)
{
  var params[6];
  params[0]="TabelHoursChanged";
  params[1]=Tn;
  params[2]=Combine;
  params[3]=absm;
  params[4]=NewCalmCht;
  params[5]=OldCalmCht;
  logService.OnLsChanged(params);
  return 0;
}*/
double LoggerEps=0.0001;
BE_SummElemMonitor(tn,&baseElem,newValue,oldValue)
{
  int iCode=baseElem.Code;
  if( iCode==10000 || iCode==1 || iCode==200 ) // 㬬  , ⪮    ਬ .. ਫ⠥     
    return;
  if(LoggerOn && Logger_GetFlags() & 0x80 &&
     nabs(oldValue.Sum-newValue.Sum)>LoggerEps) //㬬 
  {
    double code=baseElem.Code;
    var params[8];
    params[0]="SummChanged";
    params[1]=tn;
    params[3]=code;
    params[6]=oldValue;
    params[7]=newValue;
    logService.OnLsChanged(params);
  }   
  if( LoggerOn && Logger_GetFlags() & 0x100 && 
      nabs(oldValue.Rv-newValue.Rv)>LoggerEps) // 
  {
    double code=baseElem.Code;
    var params[8];
    params[0]="RvChanged";
    params[1]=tn;
    params[3]=code;
    params[6]=oldValue;
    params[7]=newValue;
    logService.OnLsChanged(params);
  }
}
PutSummMonitor(tn,row,col,oldSumm,&newSumm)
{
  if(LoggerOn && Logger_GetFlags() & 0x80 &&
      nabs(oldSumm-newSumm)>LoggerEps) //㬬 
  {    
    double code=GetCode(row);
    int m=MonthBySumCol(col);
    var params[8];
    params[0]="SummChanged";
    params[1]=tn;
    params[3]=code;
    params[4]=m;
    params[5]=mtek;
    params[6]=oldSumm;
    params[7]=newSumm;
    logService.OnLsChanged(params);
  }
}
PutTimeMonitor(tn,row,col,oldRv,&newRv)
{

  if( LoggerOn && Logger_GetFlags() & 0x100 &&
      nabs(oldRv-newRv)>LoggerEps) // 
  {
    double code=GetCode(row);
    int m=MonthByWorkTimeCol(col);
    var params[8];
    params[0]="RvChanged";
    params[1]=tn;
    params[3]=code;
    params[4]=m;
    params[5]=mtek;
    params[6]=oldRv;
    params[7]=newRv;
    logService.OnLsChanged(params);
  }  
}
OnChangeKchStatic(tn,ps,&newValue,oldValue,&arr)
{
  oldValue=kch_from_safe(ps);//todo -  ᫥ ⮣  ࠧ  
  if(ps=="fl_ved1")
    return;
  if( LoggerOn && Logger_GetFlags() & 0x40)
    OnChangeKchBase(tn,atoi(arr[2]),ps,GetNothing(),GetNothing(),oldValue,newValue);
}
OnChangeKch(tn,ps,&newValue,&newDate,oldValue,oldDate,&arr)
{
  char s[256];
  GetKchValueExact (ps,s,255,oldDate);
  oldValue=s;
  if( LoggerOn && Logger_GetFlags() & 0x40)
    OnChangeKchBase(tn,atoi(arr[2]),ps,oldDate.GetStr(),newDate.GetStr(),oldValue,newValue);
}
OnChangeKchBase(tn,combine,ps,oldDate,newDate,oldValue,newValue)
{
  var params[8];
  params[0]="KchChanged";
  params[1]=tn;
  params[2]=combine;
  params[3]=OemToAnsi(ps);
  params[4]=oldDate;
  params[5]=newDate;
  params[6]=OemToAnsi(oldValue);
  params[7]=OemToAnsi(newValue);
  logService.OnLsChanged(params);
}

GenerateEventBase(tn,code,message,eventType)
{
  var params[8];
  params[0]=eventType;
  params[1]=tn;
  params[2]=OemToAnsi(message);
  params[3]=code;
  logService.OnLsChanged(params);
}
BE_Add(tn, &baseElem)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=baseElem.Code;
    char message[256];sprintf(message,"    \"%.2f\"",code);
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
BE_Del(tn, &baseElem)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=baseElem.Code;
    char message[256];sprintf(message,"    \"%.2f\"",code);
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
// 砫
BE_BegDateMonitor(tn,&baseElem,newValue)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    var oldValue=baseElem.DateBeg.GetDouble();
    double code=baseElem.Code;
    char message[256];sprintf(message,"    \"%.2f\"   砫: \"%s\"->\"%s\"",code,KDateFromD(oldValue).GetStr(),KDateFromD(newValue).GetStr());
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
PutBegDateMonitor(tn,row,oldValue,&newValue)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=GetCode(row);
    char message[256];sprintf(message,"    \"%.2f\"   砫: \"%s\"->\"%s\"",code,KDateFromD(oldValue).GetStr(),KDateFromD(newValue).GetStr());
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
BE_EndDateMonitor(tn,&baseElem,newValue)
{
  if (!baseElem.DateEnd.IsValid() && KDateFromD(newValue).GetStr()=="01.01.2050") //୮ ᮡ⨥     -  㥬
    return;
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    var oldValue=baseElem.DateEnd.GetDouble();
    double code=baseElem.Code;
    char message[256]; sprintf(message,"    \"%.2f\"   砭: \"%s\"->\"%s\"",code,KDateFromD(oldValue).GetStr(),KDateFromD(newValue).GetStr());
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
PutEndDateMonitor(tn,row,oldValue,&newValue)
{
  if (!KDateFromD(oldValue).IsValid() && KDateFromD(newValue).GetStr()=="01.01.2050") //୮ ᮡ⨥     -  㥬
    return;
  
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=GetCode(row);
    char message[256];sprintf(message,"    \"%.2f\"   砭: \"%s\"->\"%s\"",code,KDateFromD(oldValue).GetStr(),KDateFromD(newValue).GetStr());
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}

BE_BaseMonitor(tn,&baseElem,newValue)
{
  int iCode=baseElem.Code;
  if( iCode==10000 ) //
    return;
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    var oldValue=baseElem.Base;
    double code=baseElem.Code;
    char message[256];sprintf(message,"    \"%.2f\"  : \"%.2f\"->\"%.2f\"",code,oldValue,newValue);
    GenerateEventBase(tn,code,message,"NuChanged");
  }
}
PutBaseMonitor(tn,row,oldValue,&newValue)
{
  if (!KDateFromD(GetEndDate(row)).IsValid()) //⭠ ப
    return;
    
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=GetCode(row);
    char message[256];sprintf(message,"    \"%.2f\"  : \"%.2f\"->\"%.2f\"",code,oldValue,newValue);
    GenerateEventBase(tn,code,message,"NuChanged");    
  }
}
BE_ShzMonitor(tn,&baseElem,newValue)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    var oldValue=baseElem.ShifrZ;
    double code=baseElem.Code;
    char message[1024];sprintf(message,"    \"%.2f\"  : \"%s\"->\"%s\"",code,oldValue,newValue);
    GenerateEventBase(tn,code,message,"NuChanged");    
  }
}
PutOldShzMonitor(tn,row,oldValue,&newValue)
{
  if(LoggerOn && Logger_GetFlags() & 0x200)
  {
    double code=GetCode(row);
    char message[1024];sprintf(message,"    \"%.2f\"  : \"%s\"->\"%s\"",code,oldValue,newValue);
    GenerateEventBase(tn,code,message,"NuChanged");    
  }
}
AfterWriteLS(tn)
{
  try
  {
    AfterWriteLS_Impl(tn);
  }
  catch(...)
  {
    ;
  }
}
AfterWriteLS_Impl(tn) 
{
   if( LoggerOn )
    logService.OnWriteLs(tn);  
}
